db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Matrigali (JIRA)" <j...@apache.org>
Subject [jira] Updated: (DERBY-2612) running soft upgrade of a 10.0 database vs. 10.3 software gives test error in testGetTablesModify concerning XML type
Date Sat, 05 May 2007 02:35:15 GMT

     [ https://issues.apache.org/jira/browse/DERBY-2612?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Mike Matrigali updated DERBY-2612:
----------------------------------


this problem also reproduces when only 10.0 jars are in the upgrade test path.

> running soft upgrade of a 10.0 database vs. 10.3 software gives test error in testGetTablesModify
 concerning XML type
> ----------------------------------------------------------------------------------------------------------------------
>
>                 Key: DERBY-2612
>                 URL: https://issues.apache.org/jira/browse/DERBY-2612
>             Project: Derby
>          Issue Type: Bug
>          Components: Regression Test Failure
>    Affects Versions: 10.3.0.0
>         Environment: m2_ibm15:402>sysinfo
> ------------------ Java Information ------------------
> Java Version:    1.5.0
> Java Vendor:     IBM Corporation
> Java home:       c:\p4\m2\ibm15\jre
> Java classpath:  .;.;c:/p4/m2/classes;c:/p4/m2/tools/java/jdbctests.zip;c:/p4/m2
> /tools/java/jakarta-oro-2.0.8.jar;c:/p4/m2/tools/java/jgl3.1.0.jar;c:/p4/m2/tool
> s/java/jndi/providerutil.jar;c:/p4/m2/tools/java/jndi/ldap.jar;c:/p4/m2/tools/ja
> va/jndi/jndi.jar;c:/p4/m2/tools/java/jnl1.0F.zip;c:/p4/m2/tools/java/junit.jar;c
> :/p4/m2/tools/java/servlet-2_2b.jar;c:/p4/m2/tools/java/xslt4j-2_5_0/xercesImpl.
> jar;c:/p4/m2/tools/java/xslt4j-2_5_0/xml-apis.jar;c:/p4/m2/tools/java/xslt4j-2_5
> _0/xalan.jar
> OS name:         Windows XP
> OS architecture: x86
> OS version:      5.1 build 2600 Service Pack 2
> Java user name:  mikem
> Java user home:  C:\Documents and Settings\Administrator
> Java user dir:   C:\p4\m2\opensource\java\testing\org\apache\derbyTesting\functi
> onTests\tests\upgradeTests
> java.specification.name: Java Platform API Specification
> java.specification.version: 1.5
> --------- Derby Information --------
> JRE - JDBC: J2SE 5.0 - JDBC 3.0
> [C:\p4\m2\classes] 10.3.0.0 alpha - (1)
>            Reporter: Mike Matrigali
>
> When running full set of upgrade tests from 10.0 to current trunk  I get the following
error.  This looks like a test problem to me, as the error seems to
> be correctly saying that XML cannot be used in a 10.0 db.  
> 1) testGetTablesModify(org.apache.derbyTesting.functionTests.tests.jdbcapi.Datab
> aseMetaDataTest)java.sql.SQLException: Use of 'XML' requires database to be upgr
> aded from version 10.0 to version 10.1 or later.
>     at org.apache.derby.iapi.error.StandardException.newException(StandardExcept
> ion.java:356)
>     at org.apache.derby.impl.sql.catalog.DD_Version.checkVersion(DD_Version.java
> :788)
>     at org.apache.derby.impl.sql.catalog.DataDictionaryImpl.checkVersion(DataDic
> tionaryImpl.java:8487)
>     at org.apache.derby.impl.sql.compile.SQLParser.checkVersion(SQLParser.java:3
> 00)
>     at org.apache.derby.impl.sql.compile.SQLParser.XMLType(SQLParser.java:4181)
>     at org.apache.derby.impl.sql.compile.SQLParser.dataTypeCommon(SQLParser.java
> :3607)
>     at org.apache.derby.impl.sql.compile.SQLParser.dataTypeDDL(SQLParser.java:35
> 37)
>     at org.apache.derby.impl.sql.compile.SQLParser.columnDefinition(SQLParser.ja
> va:3400)
>     at org.apache.derby.impl.sql.compile.SQLParser.tableElement(SQLParser.java:3
> 368)
>     at org.apache.derby.impl.sql.compile.SQLParser.tableElementList(SQLParser.ja
> va:3209)
>     at org.apache.derby.impl.sql.compile.SQLParser.tableDefinition(SQLParser.jav
> a:10992)
>     at org.apache.derby.impl.sql.compile.SQLParser.createStatements(SQLParser.ja
> va:1811)
>     at org.apache.derby.impl.sql.compile.SQLParser.StatementPart(SQLParser.java:
> 1718)
>     at org.apache.derby.impl.sql.compile.SQLParser.Statement(SQLParser.java:1636
> )
>     at org.apache.derby.impl.sql.compile.ParserImpl.parseStatement(ParserImpl.ja
> va:151)
>     at org.apache.derby.impl.sql.GenericStatement.prepMinion(GenericStatement.ja
> va:280)
>     at org.apache.derby.impl.sql.GenericStatement.prepare(GenericStatement.java:
> 88)
>     at org.apache.derby.impl.sql.conn.GenericLanguageConnectionContext.prepareIn
> ternalStatement(GenericLanguageConnectionContext.java:742)
>     at org.apache.derby.impl.jdbc.EmbedStatement.execute(EmbedStatement.java:567
> )
>     at org.apache.derby.impl.jdbc.EmbedStatement.execute(EmbedStatement.java:516
> )
>     at org.apache.derbyTesting.functionTests.tests.jdbcapi.DatabaseMetaDataTest.
> createTablesForTest(DatabaseMetaDataTest.java:1123)
>     at org.apache.derbyTesting.functionTests.tests.jdbcapi.DatabaseMetaDataTest.
> testGetTablesModify(DatabaseMetaDataTest.java:912)
>     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java
> :64)
>     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorI
> mpl.java:43)
>     at org.apache.derbyTesting.junit.BaseTestCase.runBare(BaseTestCase.java:88)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)
>     at junit.extensions.TestDecorator.basicRun(TestDecorator.java:22)
>     at junit.extensions.TestSetup$1.protect(TestSetup.java:19)
>     at junit.extensions.TestSetup.run(TestSetup.java:23)

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message